package org.jdtaus.banking.ri.blzdirectory;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class BundesbankBankleitzahlenVerzeichnisBundle{ 

/** <pre> Bankleitzahl {0} is outdated.</pre>. */
public static String getOutdatedInfoText(final Locale locale) {
    return getMessage("outdatedInfo", locale);
}

/** <pre> Bankleitzahl {0} is outdated.</pre>. */
public static MessageFormat getOutdatedInfoMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("outdatedInfo", locale), locale);
}

/** <pre> Loading Bankleitzahlendatei "{0}".</pre>. */
public static String getFileNameInfoText(final Locale locale) {
    return getMessage("fileNameInfo", locale);
}

/** <pre> Loading Bankleitzahlendatei "{0}".</pre>. */
public static MessageFormat getFileNameInfoMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("fileNameInfo", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.ri.blzdirectory.BundesbankBankleitzahlenVerzeichnis", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
